Subject: Pseudonymous commits

From: "Mike.lifeguard" <[email-masked]>
Date: Thu, 25 Mar 2010 00:57:40 -0300

Hi,

Git gives attribution by a "name" and an "email" - however several
contributors I work with are uncomfortable giving that information. I
can easily use a pseudonym (I do so for myself), but is there any way to
not have an email? Or shall I just use "[email-masked]"?

While on the subject, I'm curious why name+email was decided upon for
attribution, instead of name + optional-email + optional-URL or
something that might provide additional information or useful metadata.

Thanks,
- -Mike

PS, I still have a question about git-svn & splitting repos with
filter-branch under subject "dcommit-ing from a split repo"